Package org.apache.struts2.validator.annotations

# Annotation Interface CustomValidator

@Target({METHOD,TYPE}) @Retention(RUNTIME) public @interface CustomValidator
This annotation can be used for custom validators. Use the ValidationParameter annotation to supply additional params.

Annotation usage:

The annotation must be applied at method or type level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
messageParams | no |  | Additional params to be used to customize message - will be evaluated against the Value Stack
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
type | yes | name of validator | Simple string which identifies that validator among other

Example code:

     @CustomValidator(type ="customValidatorName", fieldName = "myField")

Author:
  jepjep, Rainer Hermanns

- ## Required Element Summary

  Required Elements
  Modifier and Type
  Required Element
  Description
  `String`
  `type`

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `fieldName`
  `String`
  `key`
  `String`
  `message`
  `String[]`
  `messageParams`
  `ValidationParameter[]`
  `parameters`
  `boolean`
  `shortCircuit`

- ## Element Details

  - ### type

    String type

- - ### fieldName

    String fieldName
    Returns:
      The optional fieldName for SIMPLE validator types.
    Default:
      ""

  - ### message

    String message
    Returns:
      The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!
    Default:
      ""

  - ### key

    String key
    Default:
      ""

  - ### messageParams

    String[] messageParams
    Returns:
      Additional params to be used to customize message - will be evaluated against the Value Stack
    Default:
      {}

  - ### parameters

    ValidationParameter[] parameters
    Default:
      {}

  - ### shortCircuit

    boolean shortCircuit
    Default:
      false